package com.ruoyi.hywz.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.common.core.domain.R;
import com.ruoyi.hywz.entity.AdsMatHyxtStampTaxZhptInvoiceItemD;
import com.ruoyi.hywz.entity.po.IdsPO;
import org.springframework.web.multipart.MultipartFile;

import javax.servlet.http.HttpServletResponse;
import java.io.IOException;
import java.util.List;

/**
 * <p>
 * 【印花税】【智慧平台】科目明细表 服务类
 * </p>
 *
 * @author mybatisplus-generator
 * @date 2024-08-23 11:15:50
 */
public interface IAdsMatHyxtStampTaxZhptInvoiceItemDService extends IService<AdsMatHyxtStampTaxZhptInvoiceItemD> {

    Page<AdsMatHyxtStampTaxZhptInvoiceItemD> queryPage(Long pageSize, Long pageNo, AdsMatHyxtStampTaxZhptInvoiceItemD param);

    List<AdsMatHyxtStampTaxZhptInvoiceItemD> queryList(AdsMatHyxtStampTaxZhptInvoiceItemD param);

    List<AdsMatHyxtStampTaxZhptInvoiceItemD> queryList(String invoiceNumber);

    void downloadTemplate(HttpServletResponse response);

    void batchDelete(IdsPO param);

    R importData(MultipartFile file, String invoiceId) throws IOException;

}
